Hi fellow wiki editors!

To help newly registered users get more familiar with the wiki (and maybe older users too) there is now a {{Welcome to the wiki}} template. Have a look at it and feel free to add it to new users discussion pages (and perhaps your own).

I have tried to keep the template short, but meaningful. /Johan G

Difference between revisions of "PLIB"

From FlightGear wiki
Jump to: navigation, search
(added recommended version)
m (PLIB is not required to build SimGear nor TerraGear)
Line 3: Line 3:
 
[[FlightGear 1.0.0]] (released in 2007) was the last public release to use PLIB for the 3d scene graph, before the the transition to OpenSceneGraph ([[OSG]]). FlightGear still uses PLIB for various I/O tasks, e.g. joysticks.
 
[[FlightGear 1.0.0]] (released in 2007) was the last public release to use PLIB for the 3d scene graph, before the the transition to OpenSceneGraph ([[OSG]]). FlightGear still uses PLIB for various I/O tasks, e.g. joysticks.
  
PLIB is needed when building [[SimGear]], [[FlightGear]] and [[TerraGear]].  
+
PLIB is needed when building [[FlightGear]].  
  
  

Revision as of 19:56, 22 December 2011

PLIB is a set of software libraries for writing games. FlightGear has used PLIB for most of its development. It is also used by the FlightGear related program Atlas. PLIB is open source, GPL.

FlightGear 1.0.0 (released in 2007) was the last public release to use PLIB for the 3d scene graph, before the the transition to OpenSceneGraph (OSG). FlightGear still uses PLIB for various I/O tasks, e.g. joysticks.

PLIB is needed when building FlightGear.


PLIB libraries

  • Picoscopic User Interface Library (PUI)
  • Sound Library (SL)
  • Standard Geometry Library(SG)
  • Simple Scene Graph Library (SSG)
  • PUI Auxiliary Library (PUAUX)
  • SSG Auxiliary Library (SSGA)
  • Joystick wrappers (JS)
  • Fonts'n'Text Library (FNT)
  • Utility Library (UL)
  • Pegasus Network Library (NET)
  • PLIB Scripting Language (PSL)
  • PLIB Windowing Library (PW)


Recommended version

Even if version 1.8.5, shipped with most of the GNU/Linux distributions, does work for FlightGear and related software, it is recommended to use the latest source from its SVN repo:

svn co https://plib.svn.sourceforge.net/svnroot/plib/trunk plib
cd plib
sed s/PLIB_TINY_VERSION\ \ 5/PLIB_TINY_VERSION\ \ 6/ -i src/util/ul.h


Link